| The Gaudi Framework v32r1 (f65d50dc)

Static Public Member Functions | List of all members
Gaudi::Utils::Histos::HistoStrings Class Reference

Helper class to produce "good" dictionaries. More...

`#include <GaudiUtils/HistoStrings.h>`

## Static Public Member Functions
static std::string | toString (const TH1D &histo, const bool asXML=false)
| convert the histogram into the string More...
static std::string | toString (const TH2D &histo, const bool asXML=false)
| convert the histogram into the string More...
static std::string | toString (const AIDA::IHistogram1D &histo, const bool asXML=false)
| convert the histogram into the string More...
static std::string | toString (const AIDA::IHistogram2D &histo, const bool asXML=false)
| convert the histogram into the string More...
static StatusCode | fromString (TH1D &result, const std::string &input)
| parse the histogram from string More...
static StatusCode | fromString (AIDA::IHistogram1D &result, const std::string &input)
| parse the histogram from string More...
static StatusCode | fromString (TH2D &result, const std::string &input)
| parse the histogram from string More...
static StatusCode | fromString (AIDA::IHistogram2D &result, const std::string &input)
| parse the histogram from string More...
static std::string | toXml (const TH1D &histo)
static std::string | toXml (const TH2D &histo)
static std::string | toXml (const TH3D &histo)
static std::string | toXml (const TProfile &histo)
static std::string | toXml (const TProfile2D &histo)
static std::string | toXml (const AIDA::IHistogram1D &histo)
static std::string | toXml (const AIDA::IHistogram2D &histo)
static std::string | toXml (const AIDA::IHistogram3D &histo)
static std::string | toXml (const AIDA::IProfile1D &histo)
static std::string | toXml (const AIDA::IProfile2D &histo)
static StatusCode | fromXml (TH1D &result, const std::string &input)
static StatusCode | fromXml (TH2D &result, const std::string &input)
static StatusCode | fromXml (TH3D &result, const std::string &input)
static StatusCode | fromXml (TProfile &result, const std::string &input)
static StatusCode | fromXml (TProfile2D &result, const std::string &input)
static StatusCode | fromXml (AIDA::IHistogram1D &result, const std::string &input)
static StatusCode | fromXml (AIDA::IHistogram2D &result, const std::string &input)
static StatusCode | fromXml (AIDA::IHistogram3D &result, const std::string &input)
static StatusCode | fromXml (AIDA::IProfile1D &result, const std::string &input)
static StatusCode | fromXml (AIDA::IProfile2D &result, const std::string &input)

## Detailed Description

Helper class to produce "good" dictionaries.

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@n.nosp@m.ikhe.nosp@m.f.nl

Date
  2009-09-26

Definition at line 48 of file HistoStrings.h.

## Member Function Documentation

## ◆ fromString() [1/4]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromString | ( | TH1D & | result,
|  | const std::string & | input
| ) |  |
| static

parse the histogram from string

Parameters

  result | (OUTPUT) the parsed histogram
  input | (INPUT) the input XML string

Returns
  status code

Definition at line 75 of file HistoStrings.cpp.

75 {
76 return Gaudi::Parsers::parse( result, input );
77 }
Gaudi::Parsers::parse
StatusCode parse(GaudiUtils::HashMap< K, V > &result, const std::string &input)
Basic parser for the types of HashMap used in DODBasicMapper.
Definition: DODBasicMapper.cpp:11

## ◆ fromString() [2/4]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromString | ( | AIDA::IHistogram1D & | result,
|  | const std::string & | input
| ) |  |
| static

parse the histogram from string

Parameters

  result | (OUTPUT) the parsed histogram
  input | (INPUT) the input XML string

Returns
  status code

Definition at line 95 of file HistoStrings.cpp.

95 {
96 return Gaudi::Parsers::parse( result, input );
97 }
Gaudi::Parsers::parse
StatusCode parse(GaudiUtils::HashMap< K, V > &result, const std::string &input)
Basic parser for the types of HashMap used in DODBasicMapper.
Definition: DODBasicMapper.cpp:11

## ◆ fromString() [3/4]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromString | ( | TH2D & | result,
|  | const std::string & | input
| ) |  |
| static

parse the histogram from string

Parameters

  result | (OUTPUT) the parsed histogram
  input | (INPUT) the input XML string

Returns
  status code

Definition at line 85 of file HistoStrings.cpp.

85 {
86 return Gaudi::Parsers::parse( result, input );
87 }
Gaudi::Parsers::parse
StatusCode parse(GaudiUtils::HashMap< K, V > &result, const std::string &input)
Basic parser for the types of HashMap used in DODBasicMapper.
Definition: DODBasicMapper.cpp:11

## ◆ fromString() [4/4]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromString | ( | AIDA::IHistogram2D & | result,
|  | const std::string & | input
| ) |  |
| static

parse the histogram from string

Parameters

  result | (OUTPUT) the parsed histogram
  input | (INPUT) the input XML string

Returns
  status code

Definition at line 105 of file HistoStrings.cpp.

105 {
106 return Gaudi::Parsers::parse( result, input );
107 }
Gaudi::Parsers::parse
StatusCode parse(GaudiUtils::HashMap< K, V > &result, const std::string &input)
Basic parser for the types of HashMap used in DODBasicMapper.
Definition: DODBasicMapper.cpp:11

## ◆ fromXml() [1/10]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromXml | ( | TH1D & | result,
|  | const std::string & | input
| ) |  |
| static

Definition at line 137 of file HistoStrings.cpp.

137 {
138 return _fromXml( result, input );
139 }

## ◆ fromXml() [2/10]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromXml | ( | TH2D & | result,
|  | const std::string & | input
| ) |  |
| static

Definition at line 140 of file HistoStrings.cpp.

140 {
141 return _fromXml( result, input );
142 }

## ◆ fromXml() [3/10]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromXml | ( | TH3D & | result,
|  | const std::string & | input
| ) |  |
| static

Definition at line 143 of file HistoStrings.cpp.

143 {
144 return _fromXml( result, input );
145 }

## ◆ fromXml() [4/10]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromXml | ( | TProfile & | result,
|  | const std::string & | input
| ) |  |
| static

Definition at line 146 of file HistoStrings.cpp.

146 {
147 return _fromXml( result, input );
148 }

## ◆ fromXml() [5/10]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromXml | ( | TProfile2D & | result,
|  | const std::string & | input
| ) |  |
| static

Definition at line 149 of file HistoStrings.cpp.

149 {
150 return _fromXml( result, input );
151 }

## ◆ fromXml() [6/10]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromXml | ( | AIDA::IHistogram1D & | result,
|  | const std::string & | input
| ) |  |
| static

Definition at line 153 of file HistoStrings.cpp.

153 {
154 return _fromXml( result, input );
155 }

## ◆ fromXml() [7/10]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromXml | ( | AIDA::IHistogram2D & | result,
|  | const std::string & | input
| ) |  |
| static

Definition at line 156 of file HistoStrings.cpp.

156 {
157 return _fromXml( result, input );
158 }

## ◆ fromXml() [8/10]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromXml | ( | AIDA::IHistogram3D & | result,
|  | const std::string & | input
| ) |  |
| static

Definition at line 159 of file HistoStrings.cpp.

159 {
160 return _fromXml( result, input );
161 }

## ◆ fromXml() [9/10]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromXml | ( | AIDA::IProfile1D & | result,
|  | const std::string & | input
| ) |  |
| static

Definition at line 162 of file HistoStrings.cpp.

162 {
163 return _fromXml( result, input );
164 }

## ◆ fromXml() [10/10]

StatusCode Gaudi::Utils::Histos::HistoStrings::fromXml | ( | AIDA::IProfile2D & | result,
|  | const std::string & | input
| ) |  |
| static

Definition at line 165 of file HistoStrings.cpp.

165 {
166 return _fromXml( result, input );
167 }

## ◆ toString() [1/4]

std::string Gaudi::Utils::Histos::HistoStrings::toString | ( | const TH1D & | histo,
|  | const bool | asXML = `false`
| ) |  |
| static

convert the histogram into the string

Parameters

  histo | (INPUT) the histogram to be streamed
  asXML | (INPUT) use XML-format

Returns
  the string representation of the histogram

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@n.nosp@m.ikhe.nosp@m.f.nl

Date
  2009-09-26

Definition at line 29 of file HistoStrings.cpp.

29 {
30 return Gaudi::Utils::toString( histo, asXML );
31 }
Gaudi::Utils::toString
std::string toString(const TYPE &obj)
the generic implementation of the type conversion to the string
Definition: ToStream.h:334

## ◆ toString() [2/4]

std::string Gaudi::Utils::Histos::HistoStrings::toString | ( | const TH2D & | histo,
|  | const bool | asXML = `false`
| ) |  |
| static

convert the histogram into the string

Parameters

  histo | (INPUT) the histogram to be streamed
  asXML | (INPUT) use XML-format

Returns
  the string representation of the histogram

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@n.nosp@m.ikhe.nosp@m.f.nl

Date
  2009-09-26

Definition at line 41 of file HistoStrings.cpp.

41 {
42 return Gaudi::Utils::toString( histo, asXML );
43 }
Gaudi::Utils::toString
std::string toString(const TYPE &obj)
the generic implementation of the type conversion to the string
Definition: ToStream.h:334

## ◆ toString() [3/4]

std::string Gaudi::Utils::Histos::HistoStrings::toString | ( | const AIDA::IHistogram1D & | histo,
|  | const bool | asXML = `false`
| ) |  |
| static

convert the histogram into the string

Parameters

  histo | (INPUT) the histogram to be streamed
  asXML | (INPUT) use XML-format

Returns
  the string representation of the histogram

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@n.nosp@m.ikhe.nosp@m.f.nl

Date
  2009-09-26

Definition at line 53 of file HistoStrings.cpp.

53 {
54 return Gaudi::Utils::toString( histo, asXML );
55 }
Gaudi::Utils::toString
std::string toString(const TYPE &obj)
the generic implementation of the type conversion to the string
Definition: ToStream.h:334

## ◆ toString() [4/4]

std::string Gaudi::Utils::Histos::HistoStrings::toString | ( | const AIDA::IHistogram2D & | histo,
|  | const bool | asXML = `false`
| ) |  |
| static

convert the histogram into the string

Parameters

  histo | (INPUT) the histogram to be streamed
  asXML | (INPUT) use XML-format

Returns
  the string representation of the histogram

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@n.nosp@m.ikhe.nosp@m.f.nl

Date
  2009-09-26

Definition at line 65 of file HistoStrings.cpp.

65 {
66 return Gaudi::Utils::toString( histo, asXML );
67 }
Gaudi::Utils::toString
std::string toString(const TYPE &obj)
the generic implementation of the type conversion to the string
Definition: ToStream.h:334

## ◆ toXml() [1/10]

std::string Gaudi::Utils::Histos::HistoStrings::toXml | ( | const TH1D & | histo | ) |
| static

Definition at line 125 of file HistoStrings.cpp.

125 { return _toXml( histo ); }

## ◆ toXml() [2/10]

std::string Gaudi::Utils::Histos::HistoStrings::toXml | ( | const TH2D & | histo | ) |
| static

Definition at line 126 of file HistoStrings.cpp.

126 { return _toXml( histo ); }

## ◆ toXml() [3/10]

std::string Gaudi::Utils::Histos::HistoStrings::toXml | ( | const TH3D & | histo | ) |
| static

Definition at line 127 of file HistoStrings.cpp.

127 { return _toXml( histo ); }

## ◆ toXml() [4/10]

std::string Gaudi::Utils::Histos::HistoStrings::toXml | ( | const TProfile & | histo | ) |
| static

Definition at line 128 of file HistoStrings.cpp.

128 { return _toXml( histo ); }

## ◆ toXml() [5/10]

std::string Gaudi::Utils::Histos::HistoStrings::toXml | ( | const TProfile2D & | histo | ) |
| static

Definition at line 129 of file HistoStrings.cpp.

129 { return _toXml( histo ); }

## ◆ toXml() [6/10]

std::string Gaudi::Utils::Histos::HistoStrings::toXml | ( | const AIDA::IHistogram1D & | histo | ) |
| static

Definition at line 131 of file HistoStrings.cpp.

131 { return _toXml( histo ); }

## ◆ toXml() [7/10]

std::string Gaudi::Utils::Histos::HistoStrings::toXml | ( | const AIDA::IHistogram2D & | histo | ) |
| static

Definition at line 132 of file HistoStrings.cpp.

132 { return _toXml( histo ); }

## ◆ toXml() [8/10]

std::string Gaudi::Utils::Histos::HistoStrings::toXml | ( | const AIDA::IHistogram3D & | histo | ) |
| static

Definition at line 133 of file HistoStrings.cpp.

133 { return _toXml( histo ); }

## ◆ toXml() [9/10]

std::string Gaudi::Utils::Histos::HistoStrings::toXml | ( | const AIDA::IProfile1D & | histo | ) |
| static

Definition at line 134 of file HistoStrings.cpp.

134 { return _toXml( histo ); }

## ◆ toXml() [10/10]

std::string Gaudi::Utils::Histos::HistoStrings::toXml | ( | const AIDA::IProfile2D & | histo | ) |
| static

Definition at line 135 of file HistoStrings.cpp.

135 { return _toXml( histo ); }

The documentation for this class was generated from the following files:

- GaudiUtils/GaudiUtils/HistoStrings.h
- GaudiUtils/src/Lib/HistoStrings.cpp